Bug 1299143 - rebuild blacs/scalapack against new openmpi
rebuild blacs/scalapack against new openmpi
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: scalapack (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1303752
  Show dependency treegraph
 
Reported: 2016-01-16 10:53 EST by marcindulak
Modified: 2016-02-04 16:56 EST (History)
3 users (show)

See Also:
Fixed In Version: scalapack-2.0.2-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 16:56:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marcindulak 2016-01-16 10:53:18 EST
Description of problem:

scalapack/blacs are built against an old openmpi.
When I build software against the new openmpi-devel-1.10.0-10.el7.x86_64
and scalapack this results in both new and old mpi libraries linked in.

Version-Release number of selected component (if applicable):

scalapack-openmpi-2.0.2-5.el7
blacs-openmpi-2.0.2-5.el7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

$ rpm -q scalapack-openmpi
scalapack-openmpi-2.0.2-5.el7.x86_64
$ rpm -q --requires scalapack-openmpi | grep "libmpi.so"
libmpi.so.1()(64bit)

$ yum provides "libmpi.so.1()(64bit)"
...
compat-openmpi16-1.6.4-10.el7.x86_64 : Open MPI 1.6 compat library
...

Expected results:

blacs and scalapack use the current openmpi version.

Additional info:
Comment 1 Fedora Update System 2016-01-18 09:57:06 EST
scalapack-2.0.2-11.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fbac9aa628
Comment 2 Fedora Update System 2016-01-19 13:20:08 EST
scalapack-2.0.2-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6fe732c8c
Comment 3 Fedora Update System 2016-01-21 00:22:35 EST
scalapack-2.0.2-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f6fe732c8c
Comment 4 Fedora Update System 2016-02-04 16:56:44 EST
scalapack-2.0.2-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.